package com.nisum.myteam.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.nisum.myteam.exception.handler.MyTeamException;
import com.nisum.myteam.model.MasterData;

@Service
public interface IMasterDataService  {

	 List<MasterData> getMasterData() throws MyTeamException;
	 
	 List<MasterData> findByMasterDataTypeAndMasterDataNameAndActiveStatus(String masterDataType, String masterDataName,
				boolean activeStatus);
}
